ScheduleRevNumDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.ScheduleRevNumDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class ScheduleRevNumDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.measurement.server.session.ScheduleRevNumDAO

    public class ScheduleRevNumDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ScheduleRevNumDAO(DAOFactory f)`

Method Summary
`ScheduleRevNum` | `create(int entType, int entId)`
`ScheduleRevNum` | `findById(SrnId id)`
`ScheduleRevNum` | `get(SrnId id)`
`java.lang.Long` | `getMinInterval(AppdefEntityID id)`
`java.lang.Long` | `getMinInterval(AppdefEntityID id, boolean allowStale)` Find the minimum collection interval for the given entity, potentially allowing for the query to return a stale value (for efficiency reasons).
`java.util.Collection` | `getMinIntervals()` Get the minimum collection intervals for all entities with metrics enabled.
`void` | `remove(ScheduleRevNum entity)`
`void` | `remove(SrnId id)`
`void` | `save(ScheduleRevNum entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleRevNumDAO

    public ScheduleRevNumDAO(DAOFactory f)

Method Detail

### findById

    public ScheduleRevNum findById(SrnId id)

### get

    public ScheduleRevNum get(SrnId id)

### remove

    public void remove(SrnId id)

### remove

    public void remove(ScheduleRevNum entity)

### save

    public void save(ScheduleRevNum entity)

### create

    public ScheduleRevNum create(int entType,
                                 int entId)

### getMinIntervals

    public java.util.Collection getMinIntervals()

  Get the minimum collection intervals for all entities with metrics enabled.

  Returns:
    A Collection of Object arrays with 3 entries, the Integer type, the Integer id, and the Long collection interval.

### getMinInterval

    public java.lang.Long getMinInterval(AppdefEntityID id)

  Parameters:
    `id` - The appdef entity to look up.
  Returns:
    The minimum collection interval for the given entity.

### getMinInterval

    public java.lang.Long getMinInterval(AppdefEntityID id,
                                         boolean allowStale)

  Find the minimum collection interval for the given entity, potentially allowing for the query to return a stale value (for efficiency reasons).

  Parameters:
    `id` - The appdef entity to look up.
    `allowStale` - `true` to allow the query to return a stale value; `false` to never allow a stale value, potentially always forcing a sync with the database.
  Returns:
    The minimum collection interval for the given entity.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.